import React, { Component } from 'react'
import { StoreRoot } from './store'
import './app.less'

class App extends Component {

  onLaunch () {
    // let Params = {}
    // if (wx.getStorageSync('openid')) {
    //   Params.token = wx.getStorageSync('openid')
    // }
    wx.setBackgroundFetchToken({ token: 'first' })
    wx.getBackgroundFetchData({
      fetchType: 'pre',
      success (res) {
        console.log(res)
      }
    })
  }

  // this.props.children 是将要会渲染的页面
  render () {
    return (
      <StoreRoot>
        {this.props.children}
      </StoreRoot>
    )
  }
}

export default App
